<template>
  <d-card
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :loadingContent="loadingContent"
    :contentNotFound="contentNotFound"
    :loadingContentType="loadingContentType"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between">{{
        data.descripcion
      }}</span>
    </template>
    <template slot="content">
      <v-simple-table>
        <template v-slot:default>
          <thead>
            <tr>
              <td>
                <strong class="font-weight-black subtitle-1">Pregunta</strong>
              </td>
              <td class="text-center">
                <strong class="font-weight-black subtitle-1"
                  >PDV con imperdonables</strong
                >
              </td>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(item, index) in imperdonables" :key="index">
              <td class="td-descripcion" width="85%">
                <strong>{{ index + 1 }}. </strong>{{ item.descripcion }}
              </td>
              <td class="text-center " width="15%">
                <strong class="font-weight-black">{{ item.total }}</strong>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
      <v-row>
        <v-col cols="12" class="text-right">
          <strong class="font-weight-black text-h6"
            >Total de sucursales con imperdonables:
          </strong>
          <strong class="font-weight-black text-h5">{{ data.total }}</strong>
        </v-col>
      </v-row>
    </template>
  </d-card>
</template>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
export default {
  name: "Component-Imperdonables",
  components: {
    "d-card": CardChart,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    data: {
      required: true,
      default() {
        return {
          descripcion: null,
          values: [],
        };
      },
      type: Object,
    },
  },
  data() {
    return {
      loadingContentType: "table-with-tfoot",
    };
  },
  computed: {
    imperdonables() {
      return this.data.values;
    },
  },
};
</script>
